* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  
  
    user-select: none; 
    -webkit-user-select: none; 
    -moz-user-select: none; 
    -ms-user-select: none; 
  }
  body {
    margin: 0;
    padding: 0;
  }
  
  
  
  
  
  
  
  
  
  
  
  
  
  .header {
  
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    background: #053b50;
  
    
  }
  
  .logo img {
    height: 80px;
    width: auto;
  }
  

  
  .menu {
    display: flex;
    align-items: center;   
    gap: 15px;             
  }
  
  .menu ul {
    list-style: none;
    display: flex;
    gap: 30px;          
    margin: 0;
    padding: 0;
  }
  
  .menu ul li a {
    color: white;
    text-decoration: underline;
    font-family: Rubik, sans-serif;
    font-weight: bold;
    font-size: 20px;
  }
  

  
  
  @media (max-width: 980px) {
    .menu {
        display: none;
    }
    .logo{
        margin: auto;
    }
  }
  
  
























  .nadpissekceaktuality1 {
    max-width: 1380px;
    margin: 0 auto;
    padding-left: 20px;
  }
  .nadpissekceaktuality2 {
    font-family: Rubik;
    font-weight: 900;
    font-size: 26px;
    padding: 10px 20px;
    background-color: #ecf0f6;
    color: #053b50;
    display: inline-block;
    margin-top: 20px;
  }
  
  
  .aktualitycards {
    display: grid;
    grid-template-columns: repeat(
      auto-fit,
      minmax(280px, 1fr)
    ); 
    gap: 20px;
    width: 90%; 
    max-width: 1220px;
    margin: auto;
    padding-top: 20px;
    padding-bottom: 10px;
  }
  
  .akt-odkaz {
    text-decoration: none; 
    color: inherit; 
  }
  
  .card {
    background: #fbfbfb;
    overflow: hidden;
    width: 100%;
    max-width: 480px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out;
    margin-top: 10px;
    margin: auto; 
    display: flex;
    flex-direction: column;
  }

  
  .card:hover {
    transform: translateY(-5px);
  }
  
  .card .thumbnail {
  width: 100%;
  height: 0;
  padding-bottom: 68%; 
  position: relative;
  overflow: hidden;
  }


.card .thumbnail img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
  
  .card-content {
    padding: 15px;
  }

.popis-text {
  font-family: Rubik;
  font-weight: 300;
  text-align: justify;
  height: 4.2em; /* Pevná výška pro 3 řádky */
  line-height: 1.5em;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3; /* Omezení na 3 řádky */
  -webkit-box-orient: vertical;
  text-overflow: ellipsis; /* Přidá tři tečky, ale pouze pokud text přeteče */
  word-wrap: break-word;
}
  
  .card h3 {
    font-size: 18px;
    margin: 0 0 10px;
    font-family: Rubik;
    text-align: justify;
  }
  
  .card p {
    font-family: Rubik;
    font-weight: 300;
    text-align: justify;
  }
  
  .u-a-t {
    align-items: center;
  }
  
  .user-and-time {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
  }
  .u-a-t p {
    font-size: 14px;
    color: #666;
    font-family: Rubik;
    font-weight: 400;
  }
  
  .user-and-time .user {
    margin-right: 5px;
  }
  
  .user-and-time .time {
    margin-right: 5px;
    margin-left: 20px;
  }
  


  
  
  @media (max-width: 1024px) {
    .aktualitycards {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  
      max-width: 820px;
  
      margin: auto;
    }
    .nadpissekceaktuality1 {
      text-align: center;
      padding: 0;
    }
    .nadpissekceaktuality2 {
      margin-top: 20px;
    }
  }
  
  
  @media (max-width: 720px) {
    .aktualitycards {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(100%, 1fr)); 
  
      max-width: 480px;
  
      margin: auto;
    }
    .nadpissekceaktuality1 {
      text-align: center;
    }
    .nadpissekceaktuality2 {
      margin-top: 20px;
    }
  }































































  



footer{
    background: linear-gradient(135deg, #64ccc5, #176b87); 
    padding-top: 20px;
    z-index: 10;
  }
  
  .bgmezeraft{
   height: 145px;
  }
  .socialcontainer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    background-color: #fff;
    padding: 20px;
    border-radius: 16px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    max-width: 1000px;
    width: 90%;
    margin: auto;
    margin-bottom: -145px;
    z-index: 100;
    position: relative;
    border: solid 1px #ddd;
    margin-top:40px
  
    
  }
  .follow-section {
    max-width: 460px;
    text-align: left;
    margin-bottom: 20px;
  }
  .follow-section h2 {
    font-size: 32px;
    font-weight: bold;
    margin-top: 5px;
    margin-bottom: 5px;
    font-family: Rubik;
  }
  .follow-section p {
    color: #666;
    margin-bottom: 15px;
    font-family: Rubik;
    font-weight: 300;
    font-size: 14px;
  }
  .social-buttons{
    text-align: center;
    margin-top: 20px;
  }
  .social-buttons a,.social-buttons2 a  {
    display: inline-flex;
    align-items: center;
    padding: 8px 12px;
    margin: 5px;
    border: 1px solid #ccc;
    border-radius: 8px;
    text-decoration: none;
    color: #333;
    font-weight: bold;
    transition: background 0.3s;
    font-family: Rubik;
  }
  
  .social-buttons2{
    display: none;
  }
  .social-buttons a:hover {
    background-color: #e0e0e0;
  }
  .post-card {
    background-color: #f0f0f0;
    border-radius: 12px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    max-width: 500px;
    text-decoration: none;
    color: inherit;
  }
  .post-header {
    display: flex;
    align-items: center;
    padding: 10px;
    border-bottom: 1px solid #ddd;
    font-family: Rubik;
  }
  .avatar {
    width: 40px;
    height: 40px;
    margin-right: 10px;
  }
  
  .avatar img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
  }
  .post-images {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    padding: 10px;
    gap: 5px;
  }
  .post-images img {
    width: 100%;
    height: auto;
    object-fit: cover;
  
  }
  
  
  /* Responzivita */
  @media (max-width: 1120px) {
    .socialcontainer{
    max-width: 500px;
    width: 90%;
    margin-bottom: -230px;
    }
  
    .bgmezeraft{
      height: 230px;
     }
      }
  
  
  @media (max-width: 760px) {
  .social-buttons{
    display: none;
  }
  .social-buttons2{
    display: block;
    text-align: center;
  }
  
  .onlypc{
    display: none;
  }
  .post-images {
    display: flex;
    
    }
    .socialcontainer{
      margin-bottom: -400px;
      }
    
      .bgmezeraft{
        height: 400px;
       }
        }
    
  
  
  
  
  .odkazyft {
    display: flex;
    justify-content: center; 
    list-style-type: none;    
    padding: 0;              
    margin: 0;              
    gap: 20px;  
    padding-bottom: 20px;           
  }
  
  .odkazyft li a {
    text-decoration: underline;
    margin: 0 10px;
    color: #fff;              
    font-family: Rubik, sans-serif;  
    font-weight: bold; 
  }
  
  .copyright {
    display: flex;       
    flex-direction: column;     
    justify-content: center;      
    align-items: center;    
    text-align: center;           
    color: #fff;
    font-family: Rubik, sans-serif;
    font-weight: bold;
    padding: 20px;             
   
  }
  
  .copyright a {
    text-decoration: none;
    color: #fff;
    font-family: Rubik, sans-serif;
    font-weight: bold;
    margin-bottom: 8px;          
  }
  
  .copyright p {
    margin: 0;               
    display: flex;          
    align-items: center;        
  }
  
  .jvsoft {
    background-color: #fff;
    border-radius: 8px;
    padding: 4px 6px;
    height: 28px;
    margin-left: 8px;          
    margin-top: 5px;
  }
  
  @media (max-width: 760px) {
    .odkazyft {
      display: block;    
      text-align: left;    
      width: 90%;
      margin: auto ;
        
    }
    .odkazyft li {
      margin: 10px 0;
    }
    
    }